Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws
Interface ManageabilityCharacteristics

All Superinterfaces:
  Capability, Initialization, InitializationParameters, ManageabilityCapability, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

All Known Implementing Classes:
  SimpleManageabilityCharacteristics

public interface ManageabilityCharacteristics
extends ManageabilityCapability

This interface represents the WSDM ManageabilityCharacteristics capability. It provides convenience methods for accessing its one property, muws1:ManageabilityCapability. Note that the values of this property are not set by this capability but by other capabilities that are registering themselves with the resource; this capability merely provides a method for storing and reading those values.

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName[]` | `PROPERTIES`

Method Summary
`void` | `addManageabilityCapability(java.lang.String capabilityURI)`
`java.lang.String[]` | `getManageabilityCapability()`
`boolean` | `hasManageabilityCapability(java.lang.String capabilityURI)`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getPropertyNames, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Field Detail

### PROPERTIES

    public static final QName[] PROPERTIES

Method Detail

### addManageabilityCapability

    public void addManageabilityCapability(java.lang.String capabilityURI)
                                    throws BaseFault

  Parameters:
    `capabilityURI` - A URI representing one of the manageability capabilities that is implemented by the resource.
  Throws:
    `BaseFault` -
    - If the URI has already been added to the list.

### getManageabilityCapability

    public java.lang.String[] getManageabilityCapability()
                                                  throws BaseFault

  Returns:
    An array of URIs (strings), where each URI defines one manageability capability exposed by the resource.
  Throws:
    `BaseFault`

### hasManageabilityCapability

    public boolean hasManageabilityCapability(java.lang.String capabilityURI)
                                       throws BaseFault

  Parameters:
    `capabilityURI` -
  Returns:
    True, if the URI has been added to the list of capability URIs.
  Throws:
    `BaseFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD